import pika
import time
import random

collection = ["Buildings", "Streets", "Parks", "Transport", "Lighting"]

connection = pika.BlockingConnection(pika.ConnectionParameters('localhost'))
channel = connection.channel()

channel.exchange_declare(exchange='Entities', exchange_type='fanout')

while True:
    message = f"Message: {random.choice(collection)}"

    channel.basic_publish(exchange='Entities', routing_key='', body=message)

    time.sleep(1)

connection.close()